Visit Our UNIX and Linux User Community


apache2 mod_geoip upgrade


 
Thread Tools Search this Thread
Top Forums Web Development apache2 mod_geoip upgrade
# 1  
Old 09-06-2009
apache2 mod_geoip upgrade

It seems the version of mod_geoip we are running is a outdated version that does not include some features. I can't find the recommended version with apt-get so I was going to rebuild from scratch. I was looking for apxs2 and could not find it:

Code:
root@www:/usr/lib/apache2/modules# apt-cache search apxs2
apache2-prefork-dev - development headers for apache2
apache2-threaded-dev - development headers for apache2

reborg, I assume I will need to install apache2-prefork-dev to get apxs2 to rebuild mod_geoip ?

Thanks.
# 2  
Old 09-06-2009
Hi Neo,


If you want to go ahead and build the new version of geoip from source than you are correct in assuming that you will need to install apache2-prefork-dev.
# 3  
Old 09-06-2009
Ah! Thanks.

In that case, I'll install apache2-prefork-dev and then manually rebuild mod_geoip.

Thanks!

---------- Post updated at 19:04 ---------- Previous update was at 18:58 ----------

FYI, the reason I am upgrading mod_geoip is that the current version does not support GEOIP_CONTINENT_CODE

Reference:

MaxMind Forum :: View topic - GEOIP_CONTINENT_CODE ?

---------- Post updated at 20:20 ---------- Previous update was at 19:04 ----------

OK, done.

mod_geoip upgraded and we are getting the continent code as well as country codes, example from phpinfo()

Code:
_SERVER["GEOIP_ADDR"]	123.456.789.123
_SERVER["GEOIP_CONTINENT_CODE"]	NA
_SERVER["GEOIP_COUNTRY_CODE"]	US
_SERVER["GEOIP_COUNTRY_NAME"]	United States



---------- Post updated at 20:21 ---------- Previous update was at 20:20 ----------

FYI, reference country code / continent code:

Code:
AP,AS
EU,EU
AD,EU
AE,AS
AF,AS
AG,SA
AI,SA
AL,EU
AM,AS
AN,SA
AO,AF
AQ,AN
AR,SA
AS,OC
AT,EU
AU,OC
AW,SA
AX,EU
AZ,AS
BA,EU
BB,SA
BD,AS
BE,EU
BF,AF
BG,EU
BH,AS
BI,AF
BJ,AF
BM,SA
BN,AS
BO,SA
BR,SA
BS,SA
BT,AS
BV,AF
BW,AF
BY,EU
BZ,SA
CA,NA
CC,AS
CD,AF
CF,AF
CG,AF
CH,EU
CI,AF
CK,OC
CL,SA
CM,AF
CN,AS
CO,SA
CR,SA
CU,SA
CV,AF
CX,AS
CY,AS
CZ,EU
DE,EU
DJ,AF
DK,EU
DM,SA
DO,SA
DZ,AF
EC,SA
EE,EU
EG,AF
EH,AF
ER,AF
ES,EU
ET,AF
FI,EU
FJ,OC
FK,SA
FM,OC
FO,EU
FR,EU
FX,EU
GA,AF
GB,EU
GD,SA
GE,AS
GF,SA
GG,EU
GH,AF
GI,EU
GL,SA
GM,AF
GN,AF
GP,SA
GQ,AF
GR,EU
GS,SA
GT,SA
GU,OC
GW,AF
GY,SA
HK,AS
HM,AF
HN,SA
HR,EU
HT,SA
HU,EU
ID,AS
IE,EU
IL,AS
IM,EU
IN,AS
IO,AS
IQ,AS
IR,AS
IS,EU
IT,EU
JE,EU
JM,SA
JO,AS
JP,AS
KE,AF
KG,AS
KH,AS
KI,OC
KM,AF
KN,SA
KP,AS
KR,AS
KW,AS
KY,SA
KZ,AS
LA,AS
LB,AS
LC,SA
LI,EU
LK,AS
LR,AF
LS,AF
LT,EU
LU,EU
LV,EU
LY,AF
MA,AF
MC,EU
MD,EU
MG,AF
MH,OC
MK,EU
ML,AF
MM,AS
MN,AS
MO,AS
MP,OC
MQ,SA
MR,AF
MS,SA
MT,EU
MU,AF
MV,AS
MW,AF
MX,NA
MY,AS
MZ,AF
NA,AF
NC,OC
NE,AF
NF,OC
NG,AF
NI,SA
NL,EU
NO,EU
NP,AS
NR,OC
NU,OC
NZ,OC
OM,AS
PA,SA
PE,SA
PF,OC
PG,OC
PH,AS
PK,AS
PL,EU
PM,SA
PN,OC
PR,SA
PS,AS
PT,EU
PW,OC
PY,SA
QA,AS
RE,AF
RO,EU
RU,AS
RW,AF
SA,AS
SB,OC
SC,AF
SD,AF
SE,EU
SG,AS
SH,AF
SI,EU
SJ,EU
SK,EU
SL,AF
SM,EU
SN,AF
SO,AF
SR,SA
ST,AF
SV,SA
SY,AS
SZ,AF
TC,SA
TD,AF
TF,AF
TG,AF
TH,AS
TJ,AS
TK,OC
TM,AS
TN,AF
TO,OC
TP,AS
TR,AS
TT,SA
TV,OC
TW,AS
TZ,AF
UA,EU
UG,AF
UM,OC
US,NA
UY,SA
UZ,AS
VA,EU
VC,SA
VE,SA
VG,SA
VI,SA
VN,AS
VU,OC
WF,OC
WS,OC
YE,AS
YT,AF
YU,EU
ZA,AF
ZM,AF
ZR,AF
ZW,AF


Previous Thread | Next Thread
Test Your Knowledge in Computers #350
Difficulty: Medium
AWK was originally written in 1975 and distributed with Version 6 Unix.
True or False?

4 More Discussions You Might Find Interesting

1. Red Hat

Upgrade from OL 6.3 to 6.5

Hello, For upgrading from OL 6.3 to 6.5 is this possible to upgrade without rebuild? What should be the generic steps in migration to OL 6.5. IS this like building up from scratch ? Best regards, Vishal (4 Replies)
Discussion started by: admin_db
4 Replies

2. HP-UX

How to upgrade HP UX 11.22 to 11.23

Hello! I need to upgrade my HP-UX box to latest version, however I dont have any idea how to do it. Somebody can help me here? :D (3 Replies)
Discussion started by: jembalang
3 Replies

3. AIX

OS upgrade

Hello, fellows: I have an old H80 with AIX 4.3, I want to upgrade to AIX 5.3, is this possible? I have read in some documentation that is necesary do it version to version, I mean... 4.3->5.1 5.1->5.2 5.2->5.3, anybody have this experience? I will aprecciate yor help. Kind regards. (2 Replies)
Discussion started by: GEIER
2 Replies

4. Solaris

help for Upgrade

hi administrator i need help to find solution for this . i have sun fire v880 server with configuration metioned below sun fire v880 2*750 MHz UltraSPARC 111 with 4 GB Memory ( 256*16 ) 36*6 GB hard disks( Internal) with other configuration and now i need to upgrade this server.... (3 Replies)
Discussion started by: dhasanka
3 Replies

Featured Tech Videos